import { IProjects as IProject, ITimeRecord } from '@admin-layout/timetracker-core';
import { Moment } from 'moment';
interface ITimerList {
    isRecording: boolean;
    timeRecords: [ITimeRecord];
    projects: Array<IProject>;
    weekStart: Moment;
    createTimeRecord: (ITimeRecordRequest: any) => void;
    removeTimeRecord: (string: any) => void;
    updateTimeRecord: (string: any, ITimeRecordRequest: any) => void;
    createTask: Function;
    stopTimer: () => void;
    setMode: Function;
}
export declare const TimerList: (props: ITimerList) => JSX.Element;
export {};
//# sourceMappingURL=TimerList.d.ts.map