import React from 'react';
import { TimeRoundingUpToValue } from '../constants';
export declare const useTimeformat: () => {
    timeFormat: any;
    dateFormat: any;
};
export declare function useLocationQuery(): URLSearchParams;
export declare const useFirstWeekDay: () => {
    day: any;
    value: number;
};
export declare const useRound: () => {
    roundType: string;
    roundValue: TimeRoundingUpToValue;
    rounded: boolean;
    refetchRounded: (variables?: import("@adminide-stack/core").IResolveConfigurationQueryVariables) => Promise<import("apollo-client").ApolloQueryResult<import("@adminide-stack/core").IResolveConfigurationQuery>>;
    setRounded: React.Dispatch<React.SetStateAction<boolean>>;
};
export declare const useViewPermissions: () => {
    self: string;
    others: string;
};
export declare const useCreatePermissions: () => {
    self: string;
    others: string;
};
export declare const useEditPermissions: () => {
    self: string;
    others: string;
};
export declare const useManagePermissions: () => {
    self: string;
    others: string;
};
export declare const useDeletePermissions: () => {
    self: string;
    others: string;
};
export declare const usePermissions: () => {
    viewPermission: string;
    managePermission: string;
};
//# sourceMappingURL=index.d.ts.map